package com.realnet.basic1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic1.Entity.Testdefault;
import com.realnet.basic1.Services.TestdefaultService ;






@RequestMapping(value = "/token/Testdefault")
 @CrossOrigin("*") 
@RestController
public class tokenFree_TestdefaultController {
	@Autowired
	private TestdefaultService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Testdefault")
		  public Testdefault Savedata(@RequestBody Testdefault data) {
		Testdefault save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testdefault/{id}")
	public  Testdefault update(@RequestBody Testdefault data,@PathVariable Integer id ) {
		Testdefault update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testdefault/getall/page")
	public Page<Testdefault> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testdefault> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testdefault")
	public List<Testdefault> getdetails() {
		 List<Testdefault> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testdefault")
	public List<Testdefault> getallwioutsec() {
		 List<Testdefault> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testdefault/{id}")
	public  Testdefault  getdetailsbyId(@PathVariable Integer id ) {
		Testdefault  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testdefault/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}